# class Tk::Iwidgets::Fileselectionbox

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

child_site() click to toggle source

    # File lib/tkextlib/iwidgets/fileselectionbox.rb, line 35
    def child_site
      window(tk_call(@path, 'childsite'))
    end

filter() click to toggle source

    # File lib/tkextlib/iwidgets/fileselectionbox.rb, line 39
    def filter
      tk_call(@path, 'filter')
      self
    end

get() click to toggle source

    # File lib/tkextlib/iwidgets/fileselectionbox.rb, line 44
    def get
      tk_call(@path, 'get')
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/fileselectionbox.rb, line 30
    def __boolval_optkeys
      super() + ['dirson', 'fileson', 'filteron', 'selectionon']
    end

__strval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/fileselectionbox.rb, line 22
    def __strval_optkeys
      super() + [
        'directory', 'dirslabel', 'fileslabel', 'filterlabel', 'mask',
        'nomatchstring', 'selectionlabel'
      ]
    end